%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global oname hibernate-orm

Name: hibernate3
Version: 3.6.10
Release: 1%{?dist}
Summary: Relational persistence and query service

Group: Development/Libraries
License: LGPLv2+

URL: http://www.hibernate.org/

# git clone git://github.com/hibernate/hibernate-orm
# cd hibernate-orm/ && git archive --format=tar --prefix=hibernate-orm-3.6.10.Final/ 3.6.10.Final | xz > hibernate-3.6.10.Final.tar.xz
Source0: hibernate-orm-3.6.10.Final.tar.xz

Patch0:  hibernate-orm-disable-jdocbook.patch
Patch1:  hibernate-orm-fix-cglib-gid.patch
Patch2:  hibernate-orm-fix-jacc-gid-aid.patch
Patch3:  hibernate-orm-fix-ant-gid.patch
Patch4:  hibernate-orm-omit-modules.patch

BuildArch: noarch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: geronimo-validation
BuildRequires: maven-injection-plugin
BuildRequires: antlr-maven-plugin
BuildRequires: hibernate-validator
BuildRequires: cglib
BuildRequires: jboss-jacc-1.4-api
BuildRequires: c3p0
BuildRequires: proxool
BuildRequires: hibernate-commons-annotations
BuildRequires: jboss-servlet-3.0-api

Requires: hibernate-jpa-2.0-api
Requires: jpackage-utils
Requires: geronimo-validation
Requires: hibernate-validator
Requires: java
Requires: hibernate-commons-annotations
Requires: jboss-servlet-3.0-api

%description
Hibernate is a powerful, ultra-high performance
object/relational persistence and query service
for Java.

%package javadoc
Summary: API docs for %{name}
Group: Documentation
Requires: jpackage-utils


%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{oname}-%{namedversion}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

# Currently 4 tests fail with this error:
# "Unable to get the default Bean Validation factory"
export jdk16_home=/usr
mvn-rpmbuild \
  -DdisableDistribution=true \
  -Dmaven.test.skip=true \
  install \
  javadoc:aggregate


%install

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 hibernate-parent/pom.xml  %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom

# Jar files:
install -d -m 755 %{buildroot}%{_javadir}/%{name}
for module in hibernate-core hibernate-c3p0 hibernate-proxool hibernate-entitymanager; do
    install -m 644 ${module}/target/${module}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/${module}.jar
    install -pm 644 ${module}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${module}.pom
%add_maven_depmap JPP.%{name}-${module}.pom %{name}/${module}.jar
done

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc changelog.txt lgpl.txt
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}


%files javadoc
%doc lgpl.txt
%{_javadocdir}/%{name}


%changelog
* Wed Mar 14 2012 Andy Grimm <agrimm@gmail.com> - 3.6.10-1
- Initial package
